SeExpr

Signals | Public Member Functions | Private Slots | Private Attributes | List of all members
ExprColorSwatchWidget Class Reference

`#include <ExprColorSwatch.h>`

Inheritance diagram for ExprColorSwatchWidget:

## Signals
void | selValChangedSignal (SeExpr2::Vec3d val)
void | swatchChanged (int index, SeExpr2::Vec3d val)
void | swatchAdded (int index, SeExpr2::Vec3d val)
void | swatchRemoved (int index)

## Public Member Functions
| ExprColorSwatchWidget (bool indexLabel, QWidget *parent=0)
| ~ExprColorSwatchWidget ()
void | addSwatch (SeExpr2::Vec3d &val, int index=-1)
void | setSwatchColor (int index, QColor color)
QColor | getSwatchColor (int index)

## Private Slots
void | addNewColor ()
void | removeSwatch (ExprColorFrame *)
void | internalSwatchChanged (QColor color)

## Private Attributes
QGridLayout * | _gridLayout
int | _columns
bool | _indexLabel

## Detailed Description

Definition at line 54 of file ExprColorSwatch.h.

## Constructor & Destructor Documentation

## ◆ ExprColorSwatchWidget()

ExprColorSwatchWidget::ExprColorSwatchWidget | ( | bool | indexLabel,
|  | QWidget * | parent = `0`
| ) |  |

Definition at line 105 of file ExprColorSwatch.cpp.

References _gridLayout, and addNewColor().

## ◆ ~ExprColorSwatchWidget()

ExprColorSwatchWidget::~ExprColorSwatchWidget | ( |  | ) |
| inline

Definition at line 59 of file ExprColorSwatch.h.

## Member Function Documentation

## ◆ addNewColor

void ExprColorSwatchWidget::addNewColor | ( |  | ) |
| private slot

Definition at line 142 of file ExprColorSwatch.cpp.

References addSwatch().

Referenced by ExprColorSwatchWidget().

## ◆ addSwatch()

void ExprColorSwatchWidget::addSwatch | ( | SeExpr2::Vec3d & | val,
|  | int | index = `-1`
| ) |  |

Definition at line 147 of file ExprColorSwatch.cpp.

References _columns, _gridLayout, _indexLabel, ExprColorWidget::getColorFrame(), index(), internalSwatchChanged(), removeSwatch(), swatchAdded(), and swatchChanged().

Referenced by addNewColor(), and ColorSwatchControl::buildSwatchWidget().

## ◆ getSwatchColor()

QColor ExprColorSwatchWidget::getSwatchColor | ( | int | index | ) |

Definition at line 190 of file ExprColorSwatch.cpp.

References _gridLayout, ExprColorFrame::getValue(), and index().

## ◆ internalSwatchChanged

void ExprColorSwatchWidget::internalSwatchChanged | ( | QColor | color | ) |
| private slot

Definition at line 157 of file ExprColorSwatch.cpp.

References _gridLayout, ExprColorFrame::getValue(), index(), swatchChanged(), and value().

Referenced by addSwatch().

## ◆ removeSwatch

void ExprColorSwatchWidget::removeSwatch | ( | ExprColorFrame * | widget | ) |
| private slot

Definition at line 165 of file ExprColorSwatch.cpp.

References _gridLayout, and swatchRemoved().

Referenced by addSwatch().

## ◆ selValChangedSignal

void ExprColorSwatchWidget::selValChangedSignal | ( | SeExpr2::Vec3d | val | ) |
| signal

## ◆ setSwatchColor()

void ExprColorSwatchWidget::setSwatchColor | ( | int | index,
|  | QColor | color
| ) |  |

Definition at line 178 of file ExprColorSwatch.cpp.

References _gridLayout, index(), and ExprColorFrame::setValue().

## ◆ swatchAdded

void ExprColorSwatchWidget::swatchAdded | ( | int | index,
|  | SeExpr2::Vec3d | val
| ) |  |
| signal

Referenced by addSwatch().

## ◆ swatchChanged

void ExprColorSwatchWidget::swatchChanged | ( | int | index,
|  | SeExpr2::Vec3d | val
| ) |  |
| signal

Referenced by addSwatch(), and internalSwatchChanged().

## ◆ swatchRemoved

void ExprColorSwatchWidget::swatchRemoved | ( | int | index | ) |
| signal

Referenced by removeSwatch().

## Member Data Documentation

## ◆ _columns

int ExprColorSwatchWidget::_columns
| private

Definition at line 80 of file ExprColorSwatch.h.

Referenced by addSwatch().

## ◆ _gridLayout

QGridLayout* ExprColorSwatchWidget::_gridLayout
| private

Definition at line 79 of file ExprColorSwatch.h.

Referenced by addSwatch(), ExprColorSwatchWidget(), getSwatchColor(), internalSwatchChanged(), removeSwatch(), and setSwatchColor().

## ◆ _indexLabel

bool ExprColorSwatchWidget::_indexLabel
| private

Definition at line 81 of file ExprColorSwatch.h.

Referenced by addSwatch().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprColorSwatch.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprColorSwatch.cpp